<?php
/**
 * Application Error
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2011 - 2012, National Institute of Informatics,
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */
class AppError extends ErrorHandler {
	function jsonCannotAccess($params) {
		$this->controller->layout = 'error';
		$this->controller->header('HTTP/1.1 403 Forbidden');
		$this->_outputMessage('json_cannot_access');
	}

	function jsonNotFound($params) {
		$this->controller->layout = 'error';
		$this->controller->header('HTTP/1.1 404 Not Found');
		$this->_outputMessage('json_not_found');
	}

	function jsonBadRequest($params) {
		$this->controller->layout = 'error';
		$this->controller->header('HTTP/1.1 400 Bad Request');
		$this->_outputMessage('json_bad_request');
	}
}
?>